Bug 1872534 - Syspurpose role is showing empty in the subscription page and rest api even it has a role
Summary: Syspurpose role is showing empty in the subscription page and rest api even i...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Subscription Management
Version: 6.7.0
Hardware: Unspecified
OS: Unspecified
medium
low vote
Target Milestone: 6.10.0
Assignee: Jonathon Turel
QA Contact: Cole Higgins
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-26 02:49 UTC by Hao Chang Yu
Modified: 2021-11-16 14:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-11-16 14:09:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 30708 0 Normal New Syspurpose role is showing empty in the subscription page and rest api even it has a role 2020-12-16 19:11:44 UTC
Red Hat Product Errata RHSA-2021:4702 0 None None None 2021-11-16 14:09:35 UTC

Description Hao Chang Yu 2020-08-26 02:49:37 UTC
Description of problem:
Go to Web UI -> Content -> Subscriptions -> pick a subscription with role, "Red Hat Enterprise Linux Server with Smart Management, Premium (Physical or Virtual Nodes)" is a good candidate -> Details tab

Under "System Purpose" section, role is empty.

You can also reproduce via rest api:

curl -v -k -u "username:password"  https://satellite.example.com/katello/api/organizations/1/subscriptions/<subscription id> | python -m json.tool
{
    ...
    "roles": null,   <================== Role is null
    "support_level": "Premium",
    "support_type": "L1-L3",
    "type": "NORMAL",
    ...
    "usage": "Production",
    ...
}

Comment 2 Bryan Kearney 2021-03-19 20:00:59 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30708 has been resolved.

Comment 8 errata-xmlrpc 2021-11-16 14:09:27 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.10 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:4702


Note You need to log in before you can comment on or make changes to this bug.